void Alert(char *fmt,...);
void InitStringList(void);
void AssignTitleText(char *text);
void AssignIgnoreText(char *text);
void AssignRestartText(char *text);
void AssignExitText(char *text);
void AssignIgnoreFunction(int (*FunctionToAssign) (void *), void *params);
void AssignRestartFunction(int (*FunctionToAssign) (void *), void *params);
void AssignExitFunction(int (*FunctionToAssign) (void *), void *params);

#define RESET_ALERT \
  AssignTitleText("Enlightenment Message Dialog"); \
  AssignIgnoreText("Ignore this message"); \
  AssignRestartText("Restart the Window Manager"); \
  AssignExitText("Quit the Window Manager");
        
#define ASSIGN_ALERT(a, b, c, d) \
  AssignTitleText(a); \
  AssignIgnoreText(b); \
  AssignRestartText(c); \
  AssignExitText(d);
